Bug 90117 - After upgrade from 7.2 RH 9 fails to boot
After upgrade from 7.2 RH 9 fails to boot
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: lilo (Show other bugs)
9
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Jeremy Katz
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-05-02 14:55 EDT by Need Real Name
Modified: 2007-04-18 12:53 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-06-19 04:08:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2003-05-02 14:55:38 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.0; T312461)

Description of problem:
After performing an upgrade from 7.2 to 9, system fails to boot.

Mounting /proc filesystem
Creating block devices
kmod: failed to exec /sbin/modprobe -s -k block-major-8, errno=2
VFS: Cannot open root device "LABEL=/" or 00:00
Please append correct "root=" to boot options
Unable to mount root fs

Motherboard: JN440BX
AHA-2940 U/UW
ST318203LW

I can run <linux rescue> from CD#1 and see the partitions, and modify 
lilo.conf - nothing seems to work.  I have tried adding/changed root=/dev/sda 
(1,2,3)
Current partions:
/dev/sda1 - boot
/dev/sda2 main - all space is here
/dev/sda3 swap

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.  Install RH7.2, put everything into 1 big drive + swap
2.
3.
    

Additional info:
Comment 1 Need Real Name 2003-05-02 15:15:11 EDT
The modprobe error only appeared after trying different things with lilo.conf
Comment 2 Jeremy Katz 2003-05-16 18:00:38 EDT
What are the contents of your /etc/modules.conf and your /etc/lilo.conf?
Comment 3 Need Real Name 2003-06-16 09:03:12 EDT
After creating a new File System, I mounted the old installation as /old/ - 
Installed fresh and moved my configuration over.

/old/etc/modules.conf
--------------------------------------------------
alias sound-slot-0 cs4232
post-install sound-slot-0 /bin/aumix-minimal -f /etc/.aumixrc -L >/dev/null 2>&\
1 || :
pre-remove sound-slot-0 /bin/aumix-minimal -f /etc/.aumixrc -S >/dev/null 2>&1 \
|| :
options sound dmabuf=1
alias synth0 opl3
options opl3 io=0x388
options cs4232 isapnp=1
post-install sound-slot-1 /bin/aumix-minimal -f /etc/.aumixrc -L >/dev/null 2>&\
1 || :
pre-remove sound-slot-1 /bin/aumix-minimal -f /etc/.aumixrc -S >/dev/null 2>&1 \
|| :
alias eth0 e100
-------------------------------

/old/etc/lilo.conf
-----------------------
prompt
timeout=50
default=2.4.20-8
boot=/dev/sda
map=/boot/map
install=/boot/boot.b
message=/boot/message
linear

image=/boot/vmlinuz-2.4.20-8
        label=2.4.20-8
        read-only
        initrd=/boot/initrd-2.4.20-8.img
        append="root=LABEL=/
--------------------------------

Filesystem           1K-blocks      Used Available Use% Mounted on
/dev/sda6             11803992   2290724   8913644  21% /
/dev/sda5               101089     14438     81432  16% /boot
/dev/sda2              5036316   1764232   3016252  37% /old
none                     62992         0     62992   0% /dev/shm

Addition Information.
Comment 4 Jeremy Katz 2003-06-16 10:20:24 EDT
Your /etc/modules.conf is broken and missing the 'alias scsi_hostadapter' line
to show which scsi module to load.
Comment 5 Need Real Name 2003-06-16 10:43:15 EDT
Help me understand why that wasn't added by the installer?  You are trying to 
close this, but you haven't answered why it happened.  We need to find the 
source, not just fix the symptom.
Comment 6 Jeremy Katz 2003-06-19 04:08:20 EDT
Upgrades don't work if you're upgrading from a system which wasn't correctly set
up in the past.  anaconda always writes out /etc/modules.conf to contain
scsi_hostadapter lines as needed on a fresh install but does not reprobe or
change any of that on an upgrade to avoid breaking customizations made by the user.

Note You need to log in before you can comment on or make changes to this bug.